> ## Documentation Index
> Fetch the complete documentation index at: https://api-tools.memories.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Person Faces

> Append reference faces (202)

<Info>
  **Product**: Video Datalake
  **Host**: `https://api.memories.ai/datalake/v1`
  **Auth**: `Authorization: sk-mai-...`
</Info>

Append reference faces to an existing person (202). The aggregate vector is recomputed over all faces. Appending while a build is in progress → `409`.

<Note>
  **Pricing:** \$0.00005 / reference image · See [Pricing](/datalake/pricing) for the full model.
</Note>

## Response Fields

<ResponseField name="operation" type="string">Rebuild Operation handle.</ResponseField>


## OpenAPI

````yaml POST /datalake/v1/persons/{id}/faces
openapi: 3.1.0
info:
  title: Memories.ai DataLake API 2.0
  version: 2026-08
  description: OpenAPI mapping used by Mintlify Try it for the DataLake API 2.0 docs.
servers:
  - url: https://api.memories.ai
security:
  - ApiKeyAuth: []
paths:
  /datalake/v1/persons/{id}/faces:
    post:
      tags:
        - Persons (Face Library)
      summary: Append reference faces (202)
      description: >-
        Append reference faces to an existing person (202). The aggregate vector
        is recomputed over all faces. Appending while a build is in progress →
        `409`.
      operationId: add_person_faces
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: Person ID.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                faces:
                  type: array
                  items:
                    type: string
                  description: >-
                    http(s) image direct links (multipart alt: `faces` file
                    parts).
              required:
                - faces
              example:
                faces:
                  - https://cdn/alice-3.jpg
      responses:
        '200':
          description: Success
          content:
            application/json:
              example:
                person_id: per_xxx
                status: processing
                operation: op_xxx
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: 'Send `Authorization: sk-mai-...`'

````